petsc-3.4.2 2013-07-02

# KSPGMRESMonitorKrylov

Calls VecView() for each direction in the GMRES accumulated Krylov space.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGMRESMonitorKrylov(KSP ksp,PetscInt its,PetscReal fgnorm,void *dummy)

Collective on KSP

### Input Parameters

| ksp | - the KSP context
| its | - iteration number
| fgnorm | - 2-norm of residual (or gradient)
| a viewers object created with PetscViewersCreate() | -

### Keywords

KSP, nonlinear, vector, monitor, view, Krylov space

### See Also

KSPMonitorSet(), KSPMonitorDefault(), VecView(), PetscViewersCreate(), PetscViewersDestroy()

Level:intermediate
Location:src/ksp/ksp/impls/gmres/gmres.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages